Обновление OpenSSH 6.4 с устранением уязвимости

8 ноября 2013 года

Wikinews-logo-ru.svg

Анонсирован внеплановый выпуск OpenSSH 6.4, открытой реализации клиента и сервера для работы по протоколам SSH (1.3, 1.5 и 2.0) и SFTP. В новой версии устранена уязвимость (CVE-2013-4548) в sshd, выявленная одним из разработчиков OpenSSH в процессе аудита кода проекта. Проблема может привести к повреждению областей памяти через манипуляцию со сменой ключа при использовании шифра AES-GCM (aes128-gcm@openssh.com и aes256-gcm@openssh.com).

Уязвимость проявляется на стадии после прохождения аутентификации, т.е. требует наличия корректных параметров входа. В настоящее время не существует рабочего эксплоита, но разработчики OpenSSH не исключают возможность эксплуатации уязвимости для организации выполнения кода на сервере с привилегиями текущего аутентифицированного пользователя (таким образом появляется возможность обойти заданные в конфигурации ssh ограничения на доступ только к определённому shell или командам).

Проблеме подвержены выпуски OpenSSH 6.2 и OpenSSH 6.3, собранные с пакетом OpenSSL, поддерживающим AES-GCM. Для временной защиты от проявления уязвимости можно явно запретить использование AES-GCM в конфигурации sshd_config:


Ciphers aes128-ctr,aes192-ctr,aes256-ctr,aes128-cbc,3des-cbc,blowfish-cbc,cast128-cbc,aes192-cbc,aes256-cbc

 

ИсточникиПравить


Эта статья содержит материалы из статьи «Обновление OpenSSH 6.4 с устранением уязвимости», опубликованной OpenNET и распространяющейся на условиях лицензии Creative Commons Attribution (CC BY) — указание автора, источник и лицензию.
Эта статья загружена автоматически ботом NewsBots в архив и ещё не проверялась редакторами Викиновостей.
Любой участник может оформить статью: добавить иллюстрации, викифицировать, заполнить шаблоны и добавить категории.
Любой редактор может снять этот шаблон после оформления и проверки.
 

Комментарии:Обновление OpenSSH 6.4 с устранением уязвимости